@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;600;700&display=swap');
:root {
    --padding-containers: 100px 0;
    --color-title: #001a49;
}

body {
    font-family: 'Poppins', sans-serif;
}

.subtitle {
    color: #719a3b;
}

.containers {
    width: 90%;
    max-width: 1200px;
    margin: 0 auto;
    overflow: hidden;
    padding: var(--padding-containers);
}

.heros {
    width: 100%;
    height: 100vh;
    min-height: 600px;
    max-width: 800px;
    /*position: relative;
    display: grid;
    grid-template-rows: 100px 1fr;*/
    color: #fff;
}

.heros::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: linear-gradient(180deg, #0000008c 0%, #0000008c 100%), url('../img/puertas.jpeg');
    background-size: cover;
    clip-path: polygon(0 0, 100% 0, 100% 80%, 50% 95%, 0 80%);
    z-index: -1;
}

.hero-containers {
    max-width: 800px;
    --padding-container: 0;
    display: grid;
    grid-auto-rows: max-content;
    align-content: center;
    gap: 1em;
    padding-bottom: 100px;
    text-align: center;
}

.hero-title {
    font-size: 3rem;
}

.hero-paragraph {
    margin-bottom: 20px;
}

.cta {
    display: inline-block;
    background-color: #719a3b;
    justify-self: center;
    color: #fff;
    text-decoration: none;
    padding: 13px 30px;
    border-radius: 30px;
}


/*mision*/

.testimony {
    background-color: #e5e5f7;
}

.testimony-container {
    display: grid;
    grid-template-columns: 50px 1fr 50px;
    gap: 1em;
    align-items: center;
}

.testimony-body {
    display: grid;
    grid-template-columns: 1fr max-content;
    justify-content: space-between;
    align-items: center;
    gap: 2em;
    grid-column: 2/3;
    grid-row: 1/2;
    opacity: 0;
    pointer-events: none;
}

.testimony-body--show {
    pointer-events: unset;
    opacity: 1;
    transition: opacity 1.5s ease-in-out;
}

.testimony--img {
    width: 250px;
    height: 250px;
    border-radius: 50%;
    object-fit: cover;
    object-position: 50% 30%;
}

testimony-texts {
    max-width: 700px;
}

.testimony-course {
    background-color: rgb(113, 154, 59);
    color: #fff;
    display: inline-block;
    padding: 5px;
}

.testimony-arrow {
    width: 90%;
    cursor: pointer;
}


/*nosotros empresa*/

.questions {
    text-align: center;
}

.questions--container {
    display: grid;
    gap: 2em;
    padding-top: 50px;
    padding-bottom: 100px;
}

.questions-padding {
    padding: 0;
    transition: padding .3s;
    border: 1px solid #719a3b;
    border-radius: 6px;
}

.questions-padding--add {
    padding-bottom: 30px;
}

.questions-answer {
    padding: 0 30px 0;
    overflow: hidden;
}

.questions-title {
    text-align: left;
    display: flex;
    font-size: 20px;
    padding: 30px 0 30px;
    cursor: pointer;
    color: #f7f7f7;
    justify-content: space-between;
}

.questions--arrow {
    border-radius: 50%;
    background-color: #719a3b;
    width: 25px;
    height: 25px;
    display: flex;
    justify-content: center;
    align-items: center;
    align-self: flex-end;
    margin-left: 10px;
    transition: transform .3s;
}

.questions--arrow--rotate {
    transform: rotate(180deg);
}

.questions-show {
    text-align: left;
    height: 0;
    transition: height .3s;
}

.questions-img {
    display: block;
}

.questions-copy {
    width: 60%;
    margin: 0 auto;
    margin-bottom: 30px;
}


/*media query dispositivos moviles*/

@media (max-width:800px) {
    .testimony-container {
        grid-template-columns: 30px 1fr 30px;
    }
    .testimony-body {
        grid-template-columns: 1fr;
        grid-template-rows: max-content max-content;
        gap: 3em;
        justify-items: center;
    }
    .testimony--img {
        width: 200px;
        height: 200px;
    }
    .questions-copy {
        width: 100%;
    }
}

@media (max-width:600px) {
    .testimony {
        --padding-containers: 60px 0;
    }
    .testimony-container {
        grid-template-columns: 28px 1fr 28px;
        gap: .9em;
    }
    .testimony-arrow {
        width: 100%;
    }
    .testimony-course {
        margin-top: 15px;
    }
    .questions-title {
        font-size: 1rem;
    }
}